2011-01-13 21:36:07     which file should I download?

Document created by Aaronwu Employee on Oct 16, 2013
Version 1Show Document
  • View in full screen mode

2011-01-13 21:36:07     which file should I download?

zhang zhihua (CHINA)

Message: 97432   

 

Hi,I want to install the latest toolchain,if I download it from the wed“https://blackfin.uclinux.org/gf/project/toolchain/frs” ,which file should I download?

 

blackfin-toolchain-2010R1-RC4.src.rpm or blackfin-toolchain-2010R1-RC4.src.tar.bz2 ?

TranslateQuoteReplyEditDelete

 

 

2011-01-13 21:40:33     Re: which file should I download?

Mike Frysinger (UNITED STATES)

Message: 97433   

 

please read the documentation:

http://docs.blackfin.uclinux.org/doku.php?id=toolchain:installing

QuoteReplyEditDelete

 

 

2011-01-13 23:35:30     Re: which file should I download?

zhang zhihua (CHINA)

Message: 97434   

 

Hi ,Mike,

 

I download the  blackfin-toolchain-2010R1-RC4.src.rpm,but when install it like this:

 

>/:rpm -Uvh blackfin-toolchain-2010R1-RC4.src.rpm

 

error:

 

warning: group mockbuild does not exist - using root

warning: user mockbuild does not exist - using root

warning: group mockbuild does not exist - using root

########################################### [100%]

TranslateQuoteReplyEditDelete

 

 

2011-01-13 23:39:23     Re: which file should I download?

zhang zhihua (CHINA)

Message: 97435   

 

sorry,the error is:

root@ubuntu:/home# rpm -Uvh blackfin-toolchain-2010R1-RC4.src.rpm

   1:blackfin-toolchain     warning: user comptest does not exist - using root

warning: user comptest does not exist - using root

warning: user comptest does not exist - using root

warning: user comptest does not exist - using root

warning: user comptest does not exist - using root

warning: user comptest does not exist - using root

warning: user comptest does not exist - using root

warning: user comptest does not exist - using root

warning: user comptest does not exist - using root

warning: user comptest does not exist - using root

warning: user comptest does not exist - using root

warning: user comptest does not exist - using root

warning: user comptest does not exist - using root

warning: user comptest does not exist - using root

warning: user comptest does not exist - using root

warning: user comptest does not exist - using root

warning: user comptest does not exist - using root

########################################### [100%]

TranslateQuoteReplyEditDelete

 

 

2011-01-14 00:00:57     Re: which file should I download?

Mike Frysinger (UNITED STATES)

Message: 97436   

 

those are not errors, they're warnings

QuoteReplyEditDelete

 

 

2011-01-14 00:58:09     Re: which file should I download?

zhang zhihua (CHINA)

Message: 97437   

 

Hi,Mike,

 

    Can I use the blackfin-toolchain-2010R1-RC4.i386.rpm ,when I use blackfin-toolchain-2010R1-RC4.i386.rpm ,It errors:

 

root@ubuntu:/home# rpm -Uvh blackfin-toolchain-2010R1-RC4.i386.rpm

error: Failed dependencies:

/bin/sh is needed by blackfin-toolchain-2010R1-RC4.i386

ld-linux.so.2 is needed by blackfin-toolchain-2010R1-RC4.i386

libX11.so.6 is needed by blackfin-toolchain-2010R1-RC4.i386

libc.so.6 is needed by blackfin-toolchain-2010R1-RC4.i386

libc.so.6(GLIBC_2.0) is needed by blackfin-toolchain-2010R1-RC4.i386

libc.so.6(GLIBC_2.1) is needed by blackfin-toolchain-2010R1-RC4.i386

libc.so.6(GLIBC_2.1.3) is needed by blackfin-toolchain-2010R1-RC4.i386

libc.so.6(GLIBC_2.2) is needed by blackfin-toolchain-2010R1-RC4.i386

libc.so.6(GLIBC_2.2.3) is needed by blackfin-toolchain-2010R1-RC4.i386

libc.so.6(GLIBC_2.3) is needed by blackfin-toolchain-2010R1-RC4.i386

libc.so.6(GLIBC_2.3.2) is needed by blackfin-toolchain-2010R1-RC4.i386

libdl.so.2 is needed by blackfin-toolchain-2010R1-RC4.i386

libdl.so.2(GLIBC_2.0) is needed by blackfin-toolchain-2010R1-RC4.i386

libdl.so.2(GLIBC_2.1) is needed by blackfin-toolchain-2010R1-RC4.i386

libm.so.6 is needed by blackfin-toolchain-2010R1-RC4.i386

libm.so.6(GLIBC_2.0) is needed by blackfin-toolchain-2010R1-RC4.i386

libm.so.6(GLIBC_2.1) is needed by blackfin-toolchain-2010R1-RC4.i386

libncurses.so.5 is needed by blackfin-toolchain-2010R1-RC4.i386

libnsl.so.1 is needed by blackfin-toolchain-2010R1-RC4.i386

libpthread.so.0 is needed by blackfin-toolchain-2010R1-RC4.i386

libpthread.so.0(GLIBC_2.0) is needed by blackfin-toolchain-2010R1-RC4.i386

libpthread.so.0(GLIBC_2.1) is needed by blackfin-toolchain-2010R1-RC4.i386

libpthread.so.0(GLIBC_2.3.2) is needed by blackfin-toolchain-2010R1-RC4.i386

librt.so.1 is needed by blackfin-toolchain-2010R1-RC4.i386

librt.so.1(GLIBC_2.2) is needed by blackfin-toolchain-2010R1-RC4.i386

libz.so.1 is needed by blackfin-toolchain-2010R1-RC4.i386

TranslateQuoteReplyEditDelete

 

 

2011-01-14 01:10:01     Re: which file should I download?

Mike Frysinger (UNITED STATES)

Message: 97438   

 

are you installing on a 64bit or 32bit system ?  if 64bit, you need to install the 32bit multilib files first from your distro.

QuoteReplyEditDelete

 

 

2011-01-14 01:22:13     Re: which file should I download?

zhang zhihua (CHINA)

Message: 97439   

 

My systeme is 32bit

TranslateQuoteReplyEditDelete

 

 

2011-01-14 01:30:46     Re: which file should I download?

Mike Frysinger (UNITED STATES)

Message: 97440   

 

what distro are you using ?  if you're using a deb based one, why are you using rpms ?  use the tarballs.

QuoteReplyEditDelete

 

 

2011-01-14 01:37:23     Re: which file should I download?

zhang zhihua (CHINA)

Message: 97441   

 

Hi,Mike,

    I do like this:

    1.I download the blackfin-linux-dist-2010R1-RC5.tar.bz2 from "https://blackfin.uclinux.org/gf/project/uclinux-dist/frs",rename it to "uClinux-dist"

    2.download the u-boot-2010.06-2010R1-RC2.tar.bz2 from "https://blackfin.uclinux.org/gf/project/u-boot/frs"

and decompress it to /home/

    3.dowanload the blackfin-toolchain-2010R1-RC4.i386.rpm and blackfin-toolchain-2010R1-RC4.src.rpm from "https://blackfin.uclinux.org/gf/project/toolchain/frs"

    4.build it like this:

      />:rpm -Uvh lackfin-toolchain-2010R1-RC4.src.rpm

      />:rpm2targz lackfin-toolchain-2010R1-RC4.i386.rpm

      />:tar xzvf lackfin-toolchain-2010R1-RC4.i386.tar.gz

        and replace the /home/opt dir

      />:cd uClinux-dist

      />:make config

      />:make

 

The error is:

make ARCH=blackfin   CROSS_COMPILE=bfin-uclinux- -j1 -C linux-2.6.x  || exit 1

make[1]: Entering directory `/home/uClinux-dist/linux-2.6.x'

  CHK     include/linux/version.h

  CHK     include/generated/utsrelease.h

  CC      kernel/bounds.s

  GEN     include/generated/bounds.h

  CC      arch/blackfin/kernel/asm-offsets.s

In file included from include/linux/sched.h:54,

                 from arch/blackfin/kernel/asm-offsets.c:10:

include/linux/kernel.h:10:20: error: stdarg.h: No such file or directory

In file included from include/linux/sched.h:54,

                 from arch/blackfin/kernel/asm-offsets.c:10:

include/linux/kernel.h:193: error: expected declaration specifiers or ‘...’ before ‘va_list’

include/linux/kernel.h:197: error: expected declaration specifiers or ‘...’ before ‘va_list’

include/linux/kernel.h:201: error: expected declaration specifiers or ‘...’ before ‘va_list’

include/linux/kernel.h:205: error: expected declaration specifiers or ‘...’ before ‘va_list’

include/linux/kernel.h:209: error: expected declaration specifiers or ‘...’ before ‘va_list’

include/linux/kernel.h:249: error: expected declaration specifiers or ‘...’ before ‘va_list’

include/linux/kernel.h:591: error: expected declaration specifiers or ‘...’ before ‘va_list’

In file included from include/linux/sched.h:91,

                 from arch/blackfin/kernel/asm-offsets.c:10:

include/linux/kobject.h:77: error: expected declaration specifiers or ‘...’ before ‘va_list’

make[2]: *** [arch/blackfin/kernel/asm-offsets.s] Error 1

make[1]: *** [prepare0] Error 2

make[1]: Leaving directory `/home/uClinux-dist/linux-2.6.x'

make: *** [linux] Error 1

TranslateQuoteReplyEditDelete

 

 

2011-01-14 01:46:34     Re: which file should I download?

zhang zhihua (CHINA)

Message: 97443   

 

Should I download the blackfin-toolchain-2010R1-RC4.i386.tar.bz2?

 

I will try it again... ...

TranslateQuoteReplyEditDelete

 

 

2011-01-14 02:03:15     Re: which file should I download?

Mike Frysinger (UNITED STATES)

Message: 97445   

 

please read the toolchain doc i already posted.  you need to install the C library package too.

Attachments

    Outcomes